SequenceDBWrapper.SequencesForwarder (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.db.SequenceDBWrapper.SequencesForwarder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.db
Class SequenceDBWrapper.SequencesForwarder

    java.lang.Object
      org.biojava.utils.ChangeForwarder
          org.biojava.bio.seq.db.SequenceDBWrapper.SequencesForwarder

All Implemented Interfaces:
  EventListener, ChangeListener

Enclosing class:
  SequenceDBWrapper

    protected class SequenceDBWrapper.SequencesForwarder

extends ChangeForwarder

Nested Class Summary

Nested classes/interfaces inherited from class org.biojava.utils.ChangeForwarder
`ChangeForwarder.Retyper`

Nested classes/interfaces inherited from interface org.biojava.utils.ChangeListener
`ChangeListener.AlwaysVetoListener, ChangeListener.ChangeEventRecorder, ChangeListener.LoggingListener`

Field Summary

Fields inherited from interface org.biojava.utils.ChangeListener
`ALWAYS_VETO, LOG_TO_OUT`

Constructor Summary
`SequenceDBWrapper.SequencesForwarder(Object source, ChangeSupport cs)`

Method Summary
`ChangeEvent` | `generateEvent(ChangeEvent ce)` Return the new event to represent the originating event ce.

Methods inherited from class org.biojava.utils.ChangeForwarder
`changeSupport, getSource, postChange, preChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceDBWrapper.SequencesForwarder

    public SequenceDBWrapper.SequencesForwarder(Object source,
                                                ChangeSupport cs)

Method Detail

### generateEvent

    public ChangeEvent generateEvent(ChangeEvent ce)

  Description copied from class: `ChangeForwarder`

  Return the new event to represent the originating event ce.

  The returned ChangeEvent is the event that will be fired, and should be built from information in the original event. If it is null, then no event will be fired.

  The default implementation just constructs a ChangeEvent of the same type that chains back to ce.

  Overrides:
    `generateEvent` in class `ChangeForwarder`
  Parameters:
    `ce` - the originating ChangeEvent
  Returns:
    a new ChangeEvent to pass on, or null if no event should be sent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD